javax.servlet

## Interface Registration

- All Known Subinterfaces:
    FilterRegistration, FilterRegistration.Dynamic, Registration.Dynamic, ServletRegistration, ServletRegistration.Dynamic

      public interface Registration

  TODO SERVLET3 - Add comments
  Since:
    Servlet 3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Registration.Dynamic`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()`
    `java.lang.String` | `getInitParameter(java.lang.String name)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getInitParameters()`
    `java.lang.String` | `getName()`
    `boolean` | `setInitParameter(java.lang.String name, java.lang.String value)`
    `java.util.Set<java.lang.String>` | `setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

    - #### getClassName

          java.lang.String getClassName()

    - #### setInitParameter

          boolean setInitParameter(java.lang.String name,
                                 java.lang.String value)

      Parameters:
        `name` -
        `value` -
      Returns:
        TODO
      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalStateException`

    - #### getInitParameter

          java.lang.String getInitParameter(java.lang.String name)

    - #### setInitParameters

          java.util.Set<java.lang.String> setInitParameters(java.util.Map<java.lang.String,java.lang.String> initParameters)

      Parameters:
        `initParameters` -
      Returns:
        TODO
      Throws:
        `java.lang.IllegalArgumentException`
        `java.lang.IllegalStateException`

    - #### getInitParameters

          java.util.Map<java.lang.String,java.lang.String> getInitParameters()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.